petsc-3.7.1 2016-05-15
Report Typos and Errors

## TS

- pseudo-timestepping Solves the time independent Bratu problem using pseudo-timestepping.
- pseudo-timestepping
  Solves the time dependent Bratu problem using pseudo-timestepping
- nonlinear problems Solves the time independent Bratu problem using pseudo-timestepping.
- nonlinear problems
  Solves the time dependent Bratu problem using pseudo-timestepping
- time-dependent nonlinear problems Solves the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- time-dependent nonlinear problems Performs adjoint sensitivity analysis for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- time-dependent nonlinear problems Solves an ODE-constrained optimization problem -- finding the optimal initial conditions for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- time-dependent nonlinear problems Solves an ODE-constrained optimization problem -- finding the optimal stiffness parameter for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- time-dependent nonlinear problems Solves the van der Pol DAE.
  Input parameters include:
- time-dependent nonlinear problems Solves a time-dependent nonlinear PDE. Uses implicit
  timestepping. Runtime options include:
  -M <xg>, where <xg> = number of grid points
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- time-dependent nonlinear problems Solves the van der Pol equation.
  Input parameters include:
- time-dependent nonlinear problems Performs adjoint sensitivity analysis for the van der Pol equation.
- time-dependent nonlinear problems Solves a DAE-constrained optimization problem -- finding the optimal initial conditions for the van der Pol equation.
- time-dependent nonlinear problems Solves the van der Pol equation.
  Input parameters include:
- time-dependent nonlinear problems Solves a time-dependent nonlinear PDE with lower and upper bounds on the interior grid points. Uses implicit
  timestepping. Runtime options include:
  -M <xg>, where <xg> = number of grid points
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
  -ul : lower bound
  -uh : upper bound
- time-dependent linear problems Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- time-dependent linear problems Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- time-dependent linear problems Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- time-dependent linear problems Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- heat equation Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- heat equation Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- heat equation Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- heat equation Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- diffusion equation Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- diffusion equation Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- diffusion equation Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- diffusion equation Solves a simple time-dependent linear PDE (the heat equation).
  Input parameters include:
  -m <points>, where <points> = number of grid points
  -time_dependent_rhs : Treat the problem as having a time-dependent right-hand side
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
- van der Pol equation Solves the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- van der Pol equation Performs adjoint sensitivity analysis for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- van der Pol equation Solves an ODE-constrained optimization problem -- finding the optimal initial conditions for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- van der Pol equation Solves an ODE-constrained optimization problem -- finding the optimal stiffness parameter for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- van der Pol DAE Solves the van der Pol DAE.
  Input parameters include:
- van der Pol equation DAE equivalent Solves the van der Pol equation.
  Input parameters include:
- van der Pol equation DAE equivalent Performs adjoint sensitivity analysis for the van der Pol equation.
- van der Pol equation DAE equivalent Solves a DAE-constrained optimization problem -- finding the optimal initial conditions for the van der Pol equation.
- van der Pol equation DAE equivalent Solves the van der Pol equation.
  Input parameters include:
- Variational inequality nonlinear solver Solves a time-dependent nonlinear PDE with lower and upper bounds on the interior grid points. Uses implicit
  timestepping. Runtime options include:
  -M <xg>, where <xg> = number of grid points
  -debug : Activate debugging printouts
  -nox : Deactivate x-window graphics
  -ul : lower bound
  -uh : upper bound
- solving a system of nonlinear equations (parallel multicomponent example); Transient nonlinear driven cavity in 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- multicomponent Transient nonlinear driven cavity in 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- differential-algebraic equation Transient nonlinear driven cavity in 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- ex31.c Solves the ordinary differential equations (IVPs) using explicit and implicit time-integration methods.
- adjoint sensitivity analysis Performs adjoint sensitivity analysis for the van der Pol equation.
  Input parameters include:
  -mu : stiffness parameter
- adjoint sensitivity analysis Performs adjoint sensitivity analysis for the van der Pol equation.